package com.naaturel.ANN.implementation.training.steps;

import com.naaturel.ANN.domain.abstraction.AlgorithmStrategy;
import com.naaturel.ANN.domain.abstraction.TrainingStep;

public class WeightCorrectionStep implements TrainingStep {

    private final AlgorithmStrategy correctionStrategy;

    public WeightCorrectionStep(AlgorithmStrategy strategy) {
        this.correctionStrategy = strategy;
    }

    @Override
    public void run() {
        this.correctionStrategy.apply();
    }
}
